/**
 * 图库模块
 */
 import {get,post} from './http'

/**
 * 图库列表
 * @param Keywords 搜索关键词 
 * @param ClassifyId 图表类型ID 
 * @param Page 
 * @param Limit
 * @returns 
 */
 export const apiChartList=params=>{
    return get('/my_chart/getChartList',params)
}

/**
 * 图库分类
 * @param Keywords 搜索关键词 
 */
export const apiChartClassifyList=params=>{
    return get('/my_chart/getChartChassify',params)
}

/**
 * 图库移动排序
 * @param MyChartId 
 * @param MyChartClassifyId 
 * @param PrevMyChartId 
 * @param NextMyChartId 
 */
export const apiChartMove=params=>{
    return post('/my_chart/moveMyChart',params)
}

/**
 * 分类移动排序
 * @param MyChartClassifyId
 * @param PrevClassifyId
 * @param NextClassifyId
 */
export const apiChartClassifyMove=params=>{
    return post('/my_chart/moveMyChartClassify',params)
}